Bug 484536 - [ml_IN] various smc-fonts have wrong default glyphs
[ml_IN] various smc-fonts have wrong default glyphs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: smc-fonts (Show other bugs)
11
All All
low Severity medium
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-07 22:16 EST by Roozbeh Pournader
Modified: 2010-02-09 04:12 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-20 03:13:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roozbeh Pournader 2009-02-07 22:16:02 EST
Various fonts in the smc-fonts package, especially smc-fonts-meera, which is installed on every Fedora machine because of being being "default" in compts, have default glyphs shaped like an R in circle for some Malayalam characters.

For example, Meera has the following default glyphs in places that it should not have: U+0D44, U+0D62, U+0D63, U+0D71, U+0D72, U+0D73, U+0D74, U+0D79, U+0D7A, U+0D7B U+0D7C, U+0D7D, U+0D7E, U+0D7F

Also, there are several default glyphs in places that Unicode may use for future encoding of Malayalam characters, like U+0D00 and U+0D29.

All those R in cirlces should be removed from the font, to make the font Unicode-complying. Alternatively, Meera can be replaced by a standard font.
Comment 1 Santhosh Thottingal 2009-02-08 04:04:21 EST
The following code points were added to Unicode 5.1 by Unicode consortium
0D7A MALAYALAM LETTER CHILLU NN(ണ്‍)
0D7B MALAYALAM LETTER CHILLU N(ന്‍)
0D7C MALAYALAM LETTER CHILLU RR(ര്‍)
0D7D MALAYALAM LETTER CHILLU L(ല്‍)
0D7E MALAYALAM LETTER CHILLU LL(ള്‍)
0D7F MALAYALAM LETTER CHILLU K(ക്‍)
Please note that these glyphs are already present in Malayalam(ml_IN) fonts and mapped to
ണ +  ്  + zwj,
ന + ് + zwj
ര + ്  + zwj
ല + ്  + zwj
ള + ് + zwj
ക + ് + zwj
respectively.
Large amount of data encoded using this standard(5.0) is present in digital format. By duplicating the encoding by defining new code points for these glyphs, Unicode brought dual encoding issue for
Malayalam. Dual encoding without canonical equivalence brings chaos to Unicode Malayalam including security issues. And it makes existing application buggy while handling Malayalam. So accepting these code
points to our application should be done with extreme care. We should keep backward compatibility and at the same time we should avoid dual encoding. There are two options:

a) Unicode consortium should define canonical equivalence between the existing representation and newly defined duplicate code points
b) Unicode consortium should deprecate the new code points(this is recommended, since the new code points does not bring any advantage other than issues to existing data and application both in technical
and security aspects )

It is because of this reason , Swathanthra Malayalam Computing(SMC), the FOSS developer community which develops/maintains these fonts decided to postpone adding these glyphs to fonts(Not only to fonts,
but existing applications too) until Unicode resolve the above mentioned issues. SMC had already informed Unicode about the problems by the document No: L2/08-038. You can see a copy here
http://wiki.smc.org.in/images/2/23/SMC_Unicode_5.1.pdf. If this bug is a serious concern for you, you may also contact Unicode consortium to resolve the issue asap.

 Unicode 5.1 compliance means backward compatibility to 5.0 and older versions also. If we want to keep backward compatibility we should keep the existing glyph-code-point mapping. At the same time if we
duplicate those glyphs for another code point in the font, that is a serious issue.

This bug should postponed till Unicode take any decision on this problem.

Regarding other new code points in Unicode 5.1 version,  we are planning to add those glyphs to fonts in their next versions(No font in Malayalam has those glyphs as of now). The R sign in the unassigned
code point positions will be removed as and when Unicode defines characters for them in future.
Comment 2 Pravin Satpute 2009-02-09 02:04:09 EST
santhosh,
thanks for update

chill characters are from 7A to 7F so if we are not supporting those characters we can simply keep blank at those position
but adding shape Ⓡ which has different unicode value U+24c7 in those places make this font Unicode incompatible

u+ 0d44
u+ 0d62
u+ 0d63
U+ 0d70 -  wrong shape
U+ 0d71
U+ 0d72
U+ 0d73
U+ 0d74
U+ 0d75

also above are some more places where unicode has given shapes then also meera has Ⓡ sign there
this is wrong
and it makes it unicode incompatible (some out of these are added in Unicode 5.1 in that case only blank is require)

IMHO we do not need to put R shapes in Reserved spaces as those code point are already not implemented in any application (pango, qt), typing is also not allowed for those characters and adding those shapes in font increasing its size unnecessarily

i think there is no harm in removing those shapes from font

It will be very good if we can say Meera font is Unicode 5.0 compatible :)

Roozbeh
Thanks for notifying these thing
Comment 3 Rajeesh 2009-04-14 05:18:39 EDT
smc-fonts-meera and smc-fonts-rachana are updated by removing the Ⓡ shapes. We are in the process of updating other fonts in the group also. As soon as a new upstream release is made, I will update and rebuild the fonts.
Comment 4 Pravin Satpute 2009-04-14 05:34:58 EDT
thanks for update.
Comment 5 Bug Zapper 2009-06-09 07:08:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Rajeesh 2009-08-18 12:34:46 EDT
Fixed all the bugs identified in Meera in new upstream source archive http://download.savannah.gnu.org/releases/smc/fonts/malayalam-fonts-04.2.zip

Updated smc-fonts package, koji build here : http://koji.fedoraproject.org/koji/taskinfo?taskID=1612642
Comment 7 Praveen Prakash 2010-02-08 10:32:13 EST
This bug cannot closed this way. I'm using ubuntu, so I am not directly aware this problem from this OS. But from the comments in the ubuntu bug https://bugs.launchpad.net/ubuntu/+source/ttf-indic-fonts/+bug/515607, I believe same is here.

Now large amount of user data is coming in Unicode 5.1. So I request font update to include unicode 5.1 values.

Thanks
Comment 8 Nicolas Mailhot 2010-02-09 04:12:26 EST
Those are two different problems.

Removing erroneous glyphs is an easy technical fix.
Extending glyph coverage is something else entirely.

It is legitimate to request the second but please do it in a specific bug report.

Note You need to log in before you can comment on or make changes to this bug.